/*
 * Licensed to STRATIO (C) under one or more contributor license agreements.
 * See the NOTICE file distributed with this work for additional information
 * regarding copyright ownership.  The STRATIO (C) licenses this file
 * to you under the Apache License, Version 2.0 (the
 * "License"); you may not use this file except in compliance
 * with the License.  You may obtain a copy of the License at
 *
 *   http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing,
 * software distributed under the License is distributed on an
 * "AS IS" BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY
 * KIND, either express or implied.  See the License for the
 * specific language governing permissions and limitations
 * under the License.
 */

package com.stratio.crossdata.common.exceptions;

/**
 * Execution exception thrown by the Driver if the statement could not be executed.
 */
public class ExecutionException extends ConnectorException {

    /**
     * Serial version UID in order to be {@link java.io.Serializable}.
     */
    private static final long serialVersionUID = 9044542877799283335L;

    /**
     * Constructor Class.
     * @param e
     */
    public ExecutionException(Exception e){
        super(e);
    }

    /**
     * Constructor Class.
     * @param message
     */
    public ExecutionException(String message) {
        super(message);
    }

    /**
     * Constructor Class.
     * @param msg
     * @param cause
     */
    public ExecutionException(String msg, Throwable cause) {
        super(msg, cause);
    }

}
