/*
 * Licensed to STRATIO (C) under one or more contributor license agreements.
 * See the NOTICE file distributed with this work for additional information
 * regarding copyright ownership.  The STRATIO (C) licenses this file
 * to you under the Apache License, Version 2.0 (the
 * "License"); you may not use this file except in compliance
 * with the License.  You may obtain a copy of the License at
 *
 *   http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing,
 * software distributed under the License is distributed on an
 * "AS IS" BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY
 * KIND, either express or implied.  See the License for the
 * specific language governing permissions and limitations
 * under the License.
 */


package com.stratio.crossdata.common.manifest;

import java.io.Serializable;
import java.util.ArrayList;
import java.util.List;
import javax.xml.bind.annotation.XmlAccessType;
import javax.xml.bind.annotation.XmlAccessorType;
import javax.xml.bind.annotation.XmlElement;
import javax.xml.bind.annotation.XmlType;


/**
 * <p>Java class for ConnectorFunctionsType complex type.
 * 
 * <p>The following schema fragment specifies the expected content contained within this class.
 * 
 * <pre>
 * &lt;complexType name="ConnectorFunctionsType">
 *   &lt;complexContent>
 *     &lt;restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
 *       &lt;sequence>
 *         &lt;element name="Function" type="{}FunctionType" maxOccurs="unbounded" minOccurs="0"/>
 *         &lt;element name="Exclude" type="{}ExcludeType" maxOccurs="unbounded" minOccurs="0"/>
 *       &lt;/sequence>
 *     &lt;/restriction>
 *   &lt;/complexContent>
 * &lt;/complexType>
 * </pre>
 * 
 * 
 */
@XmlAccessorType(XmlAccessType.FIELD)
@XmlType(name = "ConnectorFunctionsType", propOrder = {
    "function",
    "exclude"
})
public class ConnectorFunctionsType implements Serializable {

    private static final long serialVersionUID = 181503255703686321L;
    @XmlElement(name = "Function")
    protected List<FunctionType> function;
    @XmlElement(name = "Exclude")
    protected List<ExcludeType> exclude;

    /**
     * Gets the value of the function property.
     * 
     * <p>
     * This accessor method returns a reference to the live list,
     * not a snapshot. Therefore any modification you make to the
     * returned list will be present inside the JAXB object.
     * This is why there is not a <CODE>set</CODE> method for the function property.
     * 
     * <p>
     * For example, to add a new item, do as follows:
     * <pre>
     *    getFunction().add(newItem);
     * </pre>
     * 
     * 
     * <p>
     * Objects of the following type(s) are allowed in the list
     * {@link FunctionType }
     * 
     * @return A list of {@link com.stratio.crossdata.common.manifest.FunctionType} of the manifest.
     */
    public List<FunctionType> getFunction() {
        if (function == null) {
            function = new ArrayList<>();
        }
        return this.function;
    }

    /**
     * Gets the value of the exclude property.
     * 
     * <p>
     * This accessor method returns a reference to the live list,
     * not a snapshot. Therefore any modification you make to the
     * returned list will be present inside the JAXB object.
     * This is why there is not a <CODE>set</CODE> method for the exclude property.
     * 
     * <p>
     * For example, to add a new item, do as follows:
     * <pre>
     *    getExclude().add(newItem);
     * </pre>
     * 
     * 
     * <p>
     * Objects of the following type(s) are allowed in the list
     * {@link ExcludeType }
     * 
     * @return A list of {@link com.stratio.crossdata.common.manifest.ExcludeType} functions of the manifest.
     */
    public List<ExcludeType> getExclude() {
        if (exclude == null) {
            exclude = new ArrayList<>();
        }
        return this.exclude;
    }

    /**
     * Set the functions of the manifest.
     * @param function The list of {@link com.stratio.crossdata.common.manifest.FunctionType} .
     */
    public void setFunction(List<FunctionType> function) {
        this.function = function;
    }

    /**
     * Set the exclude functions of the manifest.
     * @param exclude The list of {@link com.stratio.crossdata.common.manifest.ExcludeType} .
     */
    public void setExclude(List<ExcludeType> exclude) {
        this.exclude = exclude;
    }
}
