/*
 * Licensed to STRATIO (C) under one or more contributor license agreements.
 * See the NOTICE file distributed with this work for additional information
 * regarding copyright ownership.  The STRATIO (C) licenses this file
 * to you under the Apache License, Version 2.0 (the
 * "License"); you may not use this file except in compliance
 * with the License.  You may obtain a copy of the License at
 *
 *   http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing,
 * software distributed under the License is distributed on an
 * "AS IS" BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY
 * KIND, either express or implied.  See the License for the
 * specific language governing permissions and limitations
 * under the License.
 */

package com.stratio.crossdata.core.grammar.statements;

import org.testng.annotations.Test;

import com.stratio.crossdata.core.grammar.ParsingTest;

public class RemoveUDFStatementTest extends ParsingTest {

    @Test
    public void unexpectedWordFail() {
        String inputText = "REMOVE UDF \"jar.name\" NOW;";
        testParserFails(inputText, "unexpectedWordFail");
    }

    @Test
    public void startingQuoteMissing1Fail() {
        String inputText = "REMOVE UDF /dir/jar_name-v1.0.jar;\"";
        testParserFails(inputText, "startingQuoteMissing1Fail");
    }

    @Test
    public void fatalErrorInParser() {
        String inputText = "REMOVE UDF ;";
        testParserFails(inputText, "fatalErrorInParser");
    }

    @Test
    public void startingQuoteMissing2Fail() {
        String inputText = "REMOVE UDF \"/dir/jar_name-v1.0.jar;";
        testParserFails(inputText, "startingQuoteMissing2Fail");
    }

}
